/*****************************************************************************
 * misc-utils                                                                *
 *****************************************************************************/

/*****************************************************************************
 * File name:   src/ecc/hamming.h                                            *
 * Created:     2003-06-21 by Hampa Hug <hampa@hampa.ch>                     *
 * Copyright:   (C) 2003-2009 Hampa Hug <hampa@hampa.ch>                     *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by  the Free Software Foundation.                                         *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/


/*****************************************************************************
 * @short Calculate hamming parity bits
 * @param data_n    The number of data bits
 * @param data      A pointer to the data bits (array of size data_n)
 * @param parity_n  The number of parity bits
 * @param parity    A pointer to the parity bits (array of size parity_n)
 *****************************************************************************/
void hamming_calc (unsigned data_n, const unsigned char *data,
	unsigned parity_n, unsigned char *parity);


/*****************************************************************************
 * @short Correct a hamming code
 * @param data_n    The number of data bits
 * @param data      A pointer to the data bits (array of size data_n)
 * @param parity_n  The number of parity bits
 * @param parity1   A pointer to the calculated parity bits
 * @param parity2   A pointer to the stored parity bits
 *****************************************************************************/
unsigned hamming_correct (unsigned data_n, unsigned char *data,
	unsigned parity_n, const unsigned char *parity1, const unsigned char *parity2);
