# src/mdig/Makefile.inc

app := mdig
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

MDIG_BAS  := $(app)
MDIG_SRC  := $(foreach f,$(MDIG_BAS),$(rel)/$(f).c)
MDIG_OBJ  := $(foreach f,$(MDIG_BAS),$(rel)/$(f).o)
MDIG_HDR  := $(foreach f,$(MDIG_BAS),$(rel)/$(f).h)
MDIG_MAN1 := $(rel)/$(app).1
MDIG_BIN  := $(rel)/$(app)

MDIG_EXT_BAS := \
	common \
	adler32 \
	crc \
	getopt \
	md2 \
	md4 \
	md5 \
	open \
	rmd160 \
	sha1 \
	sha224 \
	sha256 \
	sha384 \
	sha512 \
	strtoint

MDIG_EXT_HDR := $(foreach f,$(MDIG_EXT_BAS),src/lib/$(f).h) src/lib/config.h
MDIG_EXT_OBJ := $(foreach f,$(MDIG_EXT_BAS),src/lib/$(f).o)

BIN  += $(MDIG_BIN)
MAN1 += $(MDIG_MAN1)
CLN  += $(MDIG_BIN) $(MDIG_OBJ)
DIST += $(MDIG_SRC) $(MDIG_HDR) $(MDIG_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(MDIG_HDR) $(MDIG_EXT_HDR)

$(rel)/$(app): $(MDIG_EXT_OBJ) $(MDIG_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(MDIG_OBJ) $(MDIG_EXT_OBJ) -o $@
