# src/readbin/Makefile.inc

app := readbin
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

READBIN_BAS  := $(app)
READBIN_SRC  := $(foreach f,$(READBIN_BAS),$(rel)/$(f).c)
READBIN_OBJ  := $(foreach f,$(READBIN_BAS),$(rel)/$(f).o)
READBIN_HDR  := $(foreach f,$(READBIN_BAS),$(rel)/$(f).h)
READBIN_MAN1 := $(rel)/$(app).1
READBIN_BIN  := $(rel)/$(app)

READBIN_EXT_BAS := common getopt open strtoint
READBIN_EXT_HDR := $(foreach f,$(READBIN_EXT_BAS),src/lib/$(f).h) src/lib/config.h
READBIN_EXT_OBJ := $(foreach f,$(READBIN_EXT_BAS),src/lib/$(f).o)

BIN  += $(READBIN_BIN)
MAN1 += $(READBIN_MAN1)
CLN  += $(READBIN_BIN) $(READBIN_OBJ)
DIST += $(READBIN_SRC) $(READBIN_HDR) $(READBIN_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(READBIN_HDR) $(READBIN_EXT_HDR)

$(rel)/$(app): $(READBIN_EXT_OBJ) $(READBIN_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(READBIN_OBJ) $(READBIN_EXT_OBJ) -o $@
